org.apache.lucene.replicator.nrt

## Class NodeCommunicationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.lucene.replicator.nrt.NodeCommunicationException

- All Implemented Interfaces:
    Serializable

      public class NodeCommunicationException
      extends RuntimeException

  Should be thrown by subclasses of `PrimaryNode` and `ReplicaNode` if a non-fatal exception occurred while communicating between nodes.
  See Also:
    Serialized Form
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NodeCommunicationException(String when, Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NodeCommunicationException

          public NodeCommunicationException(String when,
                                            Throwable cause)

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.